# Uses of Interface
org.eclipse.ui.model.IComparableContribution

Packages that use IComparableContribution
Package
Description
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of IComparableContribution in org.eclipse.ui.model

Methods in org.eclipse.ui.model with parameters of type IComparableContribution
Modifier and Type
Method
Description
`int`
ContributionComparator.`category(IComparableContribution c)`
Returns the category of the given element.
`int`
ContributionComparator.`compare(IComparableContribution c1, IComparableContribution c2)`
Returns a negative, zero, or positive number depending on whether the first element is less than, equal to, or greater than the second element.